Bug 625777 - gedit crashes when opening an ISO-8859-1 encoded file.
gedit crashes when opening an ISO-8859-1 encoded file.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-20 08:22 EDT by Cassio
Modified: 2011-06-28 10:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:21:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Cassio 2010-08-20 08:22:21 EDT
Description of problem:

gedit seems to consistently crash whenever I try to open an ISO-8859-1 encoded file.

Version-Release number of selected component (if applicable):

Name        : gedit
Arch        : i686
Epoch       : 1
Version     : 2.30.2
Release     : 1.fc13
Size        : 13 M
Repo        : installed


How reproducible: Always.


Steps to Reproduce:
1. open gedit
2. save a blank file choosing as encoding Western ISO-8859-1.
3. close gedit and then try to open the file.
  
Actual results:

process gets killed with a signal 11 (SIGSEGV) 

Expected results: the file should be opened.


Additional info:

writing and saving an ISO-8859-1 encoded file in VIM and then trying to open it in gedit causes the editor to give an error saying it doesn't recognize the encoding of the file and an option to select the encoding. Choosing Western ISO-8859-1 enables me to open the file. This opportunity is not given when trying to open a file if it was created in gedit itself. Also, I believe gedit recognized this automatically before. Some update must have caused this bug.
Comment 1 Bug Zapper 2011-06-01 07:02:51 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-28 10:21:04 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.